Subject: Re: "od" wrong line endings and byte count
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Sun, 2 Jan 2005 17:29:21 -0800

On Sun, Jan 02, 2005 at 05:28:35PM -0800, Brian Dessent <[email-masked]> wrote:
> Yitzchak Scott-Thoennes wrote:
> 
> > > > ?  By one of the two ways God intended when he gave Moses POSIX:
> > > >
> > > > 1. O_BINARY
> > > > 2. "rb"
> > >
> > > (3. link with binmode.o)
> > 
> > Wouldn't binmode.o change it to not output crlf to text mounts?
> > Probably wouldn't be a good choice.
> 
> I thought we were talking about 'od' here where presumably you always
> want to open files for reading in binary mode?  (And as far as I know od
> doesn't write anything, redirection aside...)

'twas redirection I was thinking of:

$ od /dev/null>od.out
$ od /dev/null>textmount/od.out
$ ls -l od.out textmount/od.out
-rw-r--r--  1 sthoenna None 8 Jan  2 17:28 od.out
-rw-r--r--  1 sthoenna None 9 Jan  2 17:28 textmount/od.out

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/